package com.ho.business.service;

import com.ho.business.entity.*;
import com.ho.common.tools.entity.SimpleUser;

import java.util.List;
import java.util.Map;

public interface IncomeMeasurementService {

    // 根据电站id查询费率模板下拉列表数据
    public List<RateTemplate> getRateTemplateList(Integer stationId);

    // 根据模板id查询费率下拉列表数据
    public List<IncomeRateMapping> getRateList(long templateId);

    // 根据模板id和费率id查询费率详情
    public IncomeRateMapping getRateDetails(int rateId,long templateId);

    public List<IncomeRate> selectIncomeRates(IncomeRate incaomeRate);

    public String insertOrUpdateIncomeRates(List<IncomeRate> incaomeRates,SimpleUser simpleUser);

    public List<IncomeQRate> selectQRate(IncomeQRate surfQRate);

    public int insertSurfQRate(IncomeQRate surfQRate,SimpleUser simpleUser);

    public int modifySurfRate(IncomeQRate surfQRate,String operatorId);

    public int confirm(IncomeTotal incomeTotal);

    public List<IncomeRateMapping> selectRates();

    public IncomeTotal selectTotal(IncomeTotal incomeTotal);

    public IncomeTotal selectTotalFee(String dataDate,Integer stationId);

    public IncomeRate selectIncomeDetails(IncomeRate incomeRate);

    public Map<String,Object> excelInput(List<IncomeRate> incaomeRates, SimpleUser simpleUser);

    public int jobDataManage();

}
